Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159340 - Remove TF flag from those syscalls which have no filename argument
Summary: Remove TF flag from those syscalls which have no filename argument
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 159400
TreeView+ depends on / blocked
 
Reported: 2005-06-01 19:01 UTC by Dmitry V. Levin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-05 03:22:33 UTC


Attachments (Terms of Use)
strace-4.5.11-alt-TF.patch (deleted)
2005-06-01 19:03 UTC, Dmitry V. Levin
no flags Details | Diff
strace-20050607-alt-TF.patch (deleted)
2005-06-08 10:25 UTC, Dmitry V. Levin
no flags Details | Diff

Description Dmitry V. Levin 2005-06-01 19:01:57 UTC
According to docs, strace -e trace=file should "trace all system calls which take a file name as an argument".  I think that those syscalls which have no filename argument should not be included in this set.

Comment 1 Dmitry V. Levin 2005-06-01 19:03:10 UTC
Created attachment 115058 [details]
strace-4.5.11-alt-TF.patch

Proposed change.

Comment 2 Dmitry V. Levin 2005-06-01 19:19:23 UTC
Original bug report could be found at
http://sourceforge.net/tracker/index.php?func=detail&aid=1112143&group_id=2861&atid=102861

Comment 3 Dmitry V. Levin 2005-06-08 10:25:19 UTC
Created attachment 115214 [details]
strace-20050607-alt-TF.patch

Rediffed for cvs snapshot 20050607.

Comment 4 Roland McGrath 2005-07-05 03:22:33 UTC
Applied upstream.  Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.